diff --git a/src/bin/scripts/common.c b/src/bin/scripts/common.c
index a661556ba9..593d88eef1 100644
--- a/src/bin/scripts/common.c
+++ b/src/bin/scripts/common.c
@@ -146,10 +146,6 @@ connectDatabase(const char *dbname, const char *pghost,
 		exit(1);
 	}
 
-	if (PQserverVersion(conn) >= 70300)
-		PQclear(executeQuery(conn, ALWAYS_SECURE_SEARCH_PATH_SQL,
-							 progname, echo));
-
 	return conn;
 }
 
@@ -308,13 +304,6 @@ appendQualifiedRelation(PQExpBuffer buf, const char *spec,
 	PGresult   *res;
 	int			ntups;
 
-	/* Before 7.3, the concept of qualifying a name did not exist. */
-	if (PQserverVersion(conn) < 70300)
-	{
-		appendPQExpBufferStr(&sql, spec);
-		return;
-	}
-
 	splitTableColumnsSpec(spec, PQclientEncoding(conn), &table, &columns);
 
 	/*
